/*
 Theme Name: ML PLaine des Vosges - 2024
 Description: Un thème enfant décliné du thème parent RemSEO Flexo. Le thème parent intègre la gestion des éléments vitrines + actualités + évènements + lieux d'accueil. Le thème enfant intègre du style CSS personnalisé + personnalise certains gabarits du thème parent. L'ensemble est développé autour d'ACF + Elementor + Gutenberg
 Author: Rémi COLIN
 Template: remseowoocommerce
 Version: 1.0.1
*/

/*---------------------
    Primary HTML
----------------------*/
:root {
	--main-bg: #ffffff;
	--alt-bg: #ececec;
	--secondary-bg: #23262d; /* Black ~lighter */
	--dark-txt-color: #131313; /* Black */
	--hovered-dark-txt: #868683;
	--light-txt-color: #f5f5f5; /* White ~grey */
	--hovered-light-txt: #E0E0E0;
	--title-color: #000000; /* Black */
	--featured-color: #2897D5; /* Blue (UNML) */
		--featured-color-50: rgba(40, 151, 213, 0.5);
		--featured-color-90: rgba(40, 151, 213, 0.9);
		--featured-color-darker: #2178AB;
		--featured-color-lighter: #65B4E2;
	--alt-featured-color: #95C11F; /* Green (UNML) */
	--ctas-color: #A3195B; /* Magenta/Violet (UNML) */
	--ctas-darker-color: #A3195B; /* Magenta/Violet (UNML) */
	--cf-submit-color: #95C11F; /* Green (UNML) */
}

@font-face {
  font-family:'Akrobat';
  src: url('./assets/css/fonts/Akrobat-Regular.otf') format('OpenType');
	font-display: swap;
}

@font-face {
  font-family:'Muli-extraBold';
  src: url('./assets/css/fonts/Muli-ExtraBold.ttf') format('OpenType');
	font-display: swap;
}

@font-face {
  font-family:'Muli-Black';
  src: url('./assets/css/fonts/Muli-Black.ttf') format('OpenType');
	font-display: swap;
}

body {
	font-family: 'Akrobat', sans-serif;
}

h1 {font-family: 'Muli-Black', sans-serif;}

h2,
h3,
h4,
h5,
h6 {
	font-family: 'Muli-extraBold', sans-serif;
}

/*---------------------
  SVG map
----------------------*/
svg#svg-animated-map g#textes > a > text {transition: 400ms all ease-in-out;}
svg#svg-animated-map g#textes > a:hover > text {font-size: 24px;}
svg#svg-animated-map g#textes > a:after {
	content: '';
	display: block;
	width: 100%;
	height: 100%;
}
svg#svg-animated-map g#textes > a:hover:after {
	content: '';
	display: block;
	width: 100%;
	height: 100%;
}

svg#svg-animated-map g > path,
svg#svg-animated-map g > polyline {transition: 300ms all ease-in-out;}
svg#svg-animated-map g.darker > path,
svg#svg-animated-map g.darker > polyline {fill: #ececec;}

/*---------------------
  Youtube iframes
----------------------*/
#remseo-yt-modal h3.dyn-title {
	color: var(--title-color);
}

#remseo-yt-modal p.nocookie-msg {
	display: none;
	color: var(--dark-txt-color);
	text-align: center;
}
#remseo-yt-modal p.nocookie-msg.show-msg {
	display: block;
}

.voxmilo-yt-container .voxmilo-yt-trigger {
	position: relative;
	display: block;
	width: 100%;
	height: 100%;
}
.voxmilo-vid-icon {
	position: absolute;
	top: calc(50% - 2rem);
	left: calc(50% - 2rem);
	font-size: 4rem;
	color: #FF0000;
	z-index: 1;
}
.voxmilo-vid-icon:after {
	content: '';
	position: absolute;
	width: 2rem;
	height: 2rem;
	top: 25%;
	left: 25%;
	background: #ffffff;
	z-index: -1;
}

/*----------------------------------
  Complianz (cookie consent plugin)
------------------------------------*/
.elementor-shortcode .cmplz-blocked-content-container.forminator-g-recaptcha {
	height: 240px !important;
	background-image: none !important;
}

.elementor-shortcode .cmplz-blocked-content-container {
	box-shadow: initial;
}

.elementor-shortcode .cmplz-blocked-content-container.forminator-g-recaptcha .cmplz-blocked-content-notice {

}

/*------------------------------------
  Contact Form (ALL) - Cookie Consent
--------------------------------------*/
form.voxmilo-disable-form {padding: 12px 24px !important;}
form.voxmilo-disable-form:before {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	z-index: 5;
	background-color: rgba(0, 0, 0, 0.5);
}
form.voxmilo-disable-form .grecaptcha-disable-msg {z-index: 10; padding: 12px 24px; background-color: rgba(0, 0, 0, 0.25);}
form.voxmilo-disable-form .grecaptcha-disable-msg > p {color: var(--light-txt-color);}
form.voxmilo-disable-form .grecaptcha-disable-msg > a.material-cta {color: var(--light-txt-color); cursor: pointer;}

/*---------------------
  Navigation
----------------------*/
.header-top-line .top-headline {text-align: center; font-style: initial;}
.header-top-line ul.call-to-actions {justify-content: center;}
.header-top-line a.site-branding {display: flex;}
.header-top-line a.site-branding > img.custom-logo:nth-child(2n+0) {margin-left: -85px;}
.header-top-line ul.call-to-actions li.item {border: 1px solid var(--title-color);}

@media all and (max-width: 980px) {
	.header-top-line a.site-branding > img.custom-logo:nth-child(2n+0) {margin-left: -45px;}
}

@media all and (max-width: 576px) {
	.header-top-line a.site-branding > img.custom-logo:nth-child(2n+0) {margin-left: initial;}
}

/*--------------------------
  ACF Sliders (parent theme)
----------------------------*/
/*ACF slider controls*/
.acf-block-slider > button.slick-prev,
.acf-block-slider > button.slick-next {
	font-size: initial;
	color: transparent;
	background-color: transparent;
	padding: initial;
	border-radius: initial;
}

/*Featured post(s) slider in home (shortcode)*/
.feat-posts-container .acf-block-slider > button.slick-prev,
.feat-posts-container .acf-block-slider > button.slick-next {
	top: 40%;
}

.voxmilo-feat-posts .elementor-shortcode .feat-posts-container {height: 60vh;}

.voxmilo-feat-posts,
.voxmilo-feat-posts .elementor-shortcode,
.voxmilo-feat-posts .elementor-shortcode .feat-posts-container .acf-block-slider {height: 100%;}

.feat-posts-container .acf-block-slider .panel-post-featured .post-thumbnail,
.feat-posts-container .acf-block-slider .panel-post-featured .post-thumbnail > figure > img {
	height: calc(60vh - 105px);
}
.feat-posts-container .acf-block-slider .panel-post-featured .post-thumbnail > figure {
	max-height: initial;
}

/*---------------------
  Elementor
----------------------*/
/*Slider logos correction*/
.voxmilo-elementor-logos .swiper-slide > figure > img.swiper-slide-image {max-height: 175px;}

/*Plain text links style on a specific panel*/
.featured-links-panel > .elementor-element > .elementor-widget-container ul > li {margin: 12px 0;}
.featured-links-panel > .elementor-element > .elementor-widget-container ul > li > a {
	display: inline-block;
	background: rgba(255, 255, 255, 0.35);
	padding: 0 6px;
	border-radius: 8px;
}

/*Video widget*/
.elementor-widget-video.img-disabled .elementor-custom-embed-image-overlay img {opacity: 0}
.elementor-element > .elementor-widget-shortcode > .elementor-widget-container > .elementor-shortcode > .theme-widget {
	padding: 0;
	margin: 0;
}

/*Testimonial widget*/
.elementor-testimonial-wrapper .elementor-testimonial-content {font-size: 1rem; font-style: italic;}
.elementor-counter .elementor-counter-number {
	background: var(--alt-featured-color);
	color: var(--light-txt-color);
	padding: 6px 12px;
	border-radius: 12px;
}

/*Elementor modal management (materialize.css)*/
.elementor > .elementor-element.e-con.e-parent .e-con.e-child.modal {
	display: none;
	width: 55%;
	padding: 0;
	margin: 0 auto;
	overflow-y: auto;
	border-radius: 2px;
}

/*Materialize elementor Tabs*/
.mlnm-onglets-elem .elementor-tab-title {background-color: var(--alt-bg); color: var(--dark-txt-color);}
.mlnm-onglets-elem .elementor-tab-title svg > path {fill: var(--alt-featured-color); transition: 400ms all ease-in-out;}
.mlnm-onglets-elem .elementor-tab-title.elementor-active a.elementor-toggle-title {color: var(--light-txt-color) !important;}
.mlnm-onglets-elem .elementor-tab-title.elementor-active svg > path {fill: var(--light-txt-color); transition: 400ms all ease-in-out;}

/*Carrousel - Stylink <a> in legend*/
div.elementor-widget-image-carousel div.elementor-image-carousel-wrapper figcaption.elementor-image-carousel-caption {
	margin-bottom: 12px;
}
div.elementor-widget-image-carousel div.elementor-image-carousel-wrapper figcaption.elementor-image-carousel-caption > a.elementor-link-in-legend {
	background: var(--featured-color);
	color: var(--light-txt-color);
	padding: 4px 8px;
	border-radius: 8px;
}

/*Inline <a> links on dark backgrounds*/
div.styling-inline-links > div.elementor-widget-container a {
	color: var(--light-txt-color);
}
